#pragma comment(lib,"vfw32.lib")

#include <windows.h>
#include "resource.h" 
#include "vfw.h"

HWND hCapWnd;

BOOL CALLBACK DlgProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	switch(Message)
	{		
		case WM_COMMAND:
			switch(LOWORD(wParam))
			{
				case IDC_CONNECT:
				{
					HWND hWndParent = GetDlgItem(hwnd, IDC_STATIC1);					
					hCapWnd = capCreateCaptureWindow("My Test Capture Window",
                                                      WS_CHILD|WS_VISIBLE, 1, 1, 320, 240, hWndParent, TRUE);
					
					capDriverConnect(hCapWnd, 0);
					capPreviewRate(hCapWnd, 100);
					capPreview(hCapWnd, TRUE);
				}
				break;				
			}
		break;
		case WM_CLOSE:
			if (hCapWnd) {
				capDriverDisconnect(hCapWnd);
			}
			EndDialog(hwnd, 0);
		break;
		default:
			return FALSE;
	}
	return TRUE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	LPSTR lpCmdLine, int nCmdShow)
{
	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_MAIN), NULL, DlgProc);
}
